#include <stdint.h>

#define PB_ODR	(*(volatile uint8_t *)0x5005)
#define PB_DDR	(*(volatile uint8_t *)0x5007)

static void delay(uint32_t t) // 
{
    while(t--) {}
}

int main(void)
{
    PB_DDR = 0x20; //  PB.5  

    while(1)
    {
        PB_ODR |= (1 << 5); // 1  
        delay(50000UL); //
        PB_ODR &= ~(1 << 5); // 0  
        delay(100000UL); //
    }
}
